import request from '@/utils/request'

// 查询老师-班级（学科）(审核通过之后数据)列表
export function listClass(query) {
  return request({
    url: '/formal/class/list',
    method: 'get',
    params: query
  })
}

// 查询老师-班级（学科）(审核通过之后数据)详细
export function getClass(id) {
  return request({
    url: '/formal/class/' + id,
    method: 'get'
  })
}

// 新增老师-班级（学科）(审核通过之后数据)
export function addClass(data) {
  return request({
    url: '/formal/class',
    method: 'post',
    data: data
  })
}

// 修改老师-班级（学科）(审核通过之后数据)
export function updateClass(data) {
  return request({
    url: '/formal/class/put',
    method: 'post',
    data: data
  })
}

// 删除老师-班级（学科）(审核通过之后数据)
export function delClass(id) {
  return request({
    url: '/formal/class/delete/' + id,
    method: 'get'
  })
}
